const getHeight = require("../../utils/getRheRemainingHeight");
const _Http = getApp().globalData.http;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        scrollHeight: 0, //滚动区域高度
        searchContent: "", //搜索内容
        mainActiveIndex: 0, //分类选择器打开分类的下标
        activeId: null, //分类选择器选择id
        activeName: null,
        items: [], //分类列表
        total: 0,
        sort: [],
        content: {
            pageNumber: 1,
            pageSize: 20,
            pageTotal: 1,
            where: {
                condition: ""
            }
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.selectMenu();
        this.getList();
    },

    /* 查询列表 */
    getList(init = false) {
        if (init.detail != undefined) init = init.detail;
        if (init) this.setData({
            ['content.pageNumber']: 1
        })
        if (this.data.content.pageNumber > this.data.content.pageTotal) return;
        let content = this.data.content;
        if (this.data.activeId) content.where.sat_sharematerial_classid = this.data.activeId;
        if (this.data.sort[0]) content.sort = this.data.sort;
        _Http.basic({
            "classname": "saletool.sharematerial.sharematerial",
            "method": "selectList",
            content
        }).then(res => {
            console.log("列表", res)
            this.selectComponent('#ListBox').RefreshToComplete();
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                list: (res.pageNumber == 1) ? res.data : this.data.list.concat(res.data),
                ['content.pageNumber']: res.pageNumber + 1,
                ['content.pageTotal']: res.pageTotal,
                total: res.total,
                sort: res.sort
            })
        })
    },
    /* 清除搜索输入 */
    searchClear() {
        this.setData({
            ['content.where.condition']: ""
        })

    },
    /* 搜索框输入 */
    searchInput({
        detail
    }) {
        this.setData({
            ['content.where.condition']: detail.trim()
        })
        this.getList(true)
    },
    /* 开关切换 */
    changeSwitch({
        detail
    }) {
        this.setData({
            sort: detail
        })
        this.getList(true);
    },
    /* 查询分类 */
    selectMenu(index = 0, res) {
        if (index == 5) return wx.showToast({
            title: res.data,
            icon: "none"
        });
        _Http.basic({
            "classname": "saletool.sharematerial.sharematerial",
            "method": "select",
            "content": {
                "parentid": 0
            }
        }).then(res => {
            if (res.msg != '成功') return this.selectMenu(index + 1, res);
            let str = JSON.stringify(res.data).replace(/classname/g, 'text').replace(/sat_sharematerial_classid/g, 'id');
            this.setData({
                items: JSON.parse(str)
            });
        });
    },
    /* 切换分类 */
    onClickItem({
        detail = {}
    }) {
        this.setData({
            activeId: this.data.activeId === detail.id ? null : detail.id,
            activeName: this.data.activeName === detail.text ? null : detail.text
        });
        this.getList(true);
    },
    onClickNav({
        detail = {}
    }) {
        this.setData({
            mainActiveIndex: detail.index || 0,
        });
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
        //滚动区域高度
        getHeight.getHeight('.menu', this).then(res => {
            this.setData({
                scrollHeight: res
            })
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    /**
     * 用户分享到朋友圈
     */
    onShareTimeline() {

    }
})