const getHeight = require("../../utils/getRheRemainingHeight");
const _Http = getApp().globalData.http;

Page({

    /**
     * 页面的初始数据
     */
    data: {
        listHeight: 0,
        timeRangeShow: false,
        activeIndex: 0,
        whereType: {
            value: "begdate",
            list: {
                "begdate": "",
                "enddate": ""
            }
        },
        option1: [{
                text: '所有日期',
                value: '所有日期'
            },
            {
                text: '查看范围',
                value: '查看范围'
            }
        ],
        option2: [{
                text: '默认排序',
                value: '默认排序'
            },
            {
                text: '按日期升序',
                value: '按日期升序'
            },
            {
                text: '按日期降序',
                value: '按日期降序'
            },
        ],
        value1: '所有日期',
        value2: '默认排序',
        "content": {
            "onceonly": 1,
            pageNumber: 1,
            pageSize: 20,
            pageTotal: 1,
            "where": {
                "begdate": "",
                "enddate": ""
            }
        },
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.getList()
    },
    getList(init = false) {
        if (init.detail != undefined) init = init.detail;
        if (init) this.setData({
            ['content.pageNumber']: 1
        })
        if (this.data.content.pageNumber > this.data.content.pageTotal) return;
        let content = JSON.parse(JSON.stringify(this.data.content));
        if (content.where.begdate == "" && content.where.enddate == "") delete content.where;
        _Http.basic({
            "classname": "saletool.submitedit.submitedit",
            "method": this.data.activeIndex == 2 ? "select_historylist" : "select_submitlist",
            content
        }).then(res => {
            console.log("提报列表", res)
            this.selectComponent('#ListBox').RefreshToComplete();
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            for (let i = 0; i < res.data.length; i++) {
                res.data[i].begdate = res.data[i].begdate.split(" ")[0];
                res.data[i].enddate = res.data[i].enddate.split(" ")[0];
            }
            this.setData({
                list: (res.pageNumber == 1) ? res.data : this.data.list.concat(res.data),
                ['content.pageNumber']: res.pageNumber + 1,
                ['content.pageTotal']: res.pageTotal,
                total: res.total
            })
        })
    },
    /* tabs切换 */
    tabsClick({
        detail
    }) {
        this.setData({
            activeIndex: detail.index,
            "content.onceonly": detail.index == 0 ? 1 : 0
        });
        this.getList(true)
    },
    /* 查看日期 */
    dropdownChange1({
        detail
    }) {
        this.setData({
            value1: detail
        })
    },
    Dateclick(e) {
        setTimeout(() => {
            if (this.data.value1 == '查看范围') this.setData({
                timeRangeShow: true
            })
        }, 100)
    },
    /* 排序 */
    dropdownChange2({
        detail
    }) {
        this.setData({
            value2: detail
        })
    },
    /* 关闭时间范围选择 */
    timeRangeClose() {
        this.setData({
            timeRangeShow: false,
            "content.where": {
                "begdate": "",
                "enddate": ""
            }
        })
    },
    /* 查看所有日期 */
    toSeeAll() {
        this.setData({
            value1: "所有日期"
        })
        this.timeRangeClose()
    },
    /* 选择日期类型 */
    selectDateType(e) {
        const {
            name
        } = e.target.dataset;
        this.setData({
            "whereType.value": name
        })
    },
    /* 得到选择时间 */
    getDate({
        detail
    }) {
        let obj = this.data.whereType;
        obj.list[obj.value] = detail;
        this.setData({
            whereType: obj
        })
    },
    /* 确定时间范围 */
    determineScope() {
        this.setData({
            "content.where": this.data.whereType.list
        });
        this.getList(true);
        this.timeRangeClose();
    },
    /* 去详情 */
    toDetails(e) {
        const {
            item
        } = e.currentTarget.dataset;
        item.oneToOne = this.data.activeIndex === 0;
        wx.navigateTo({
            url: './details?type=开始提报&item=' + JSON.stringify(item),
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
        getHeight.getHeight('.dropdown', this).then(res => {
            this.setData({
                listHeight: res
            })
        });
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})