const _Http = getApp().globalData.http;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userMsg: {},
        pathList: [{
            name: "团队管理",
            icon: "icon-a-wodetuanduiguanli",
            color: "var(--assist)",
            path: "/pages/teams/index"
        }, {
            name: "修改登录密码",
            icon: "icon-a-wodeguanyuyingyong",
            color: "var(--warning)",
            path: "/pages/tabbar/mine/changePassword/index"
        }, {
            name: "绑定微信",
            icon: "icon-a-wodebangdingweixin",
            color: "var(--success)",
            path: "#"
        }]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.queryUserMsg();
    },
    /* 查询用户信息 */
    queryUserMsg() {
        _Http.basic({
            "classname": "common.usercenter.usercenter",
            "method": "queryUserMsg",
            "content": {}
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                userMsg: res.data
            })
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getTabBar().init();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    /* 退出登录 */
    outLogin() {
        _Http.logout().then(res => {
            wx.showToast({
                title: '退出成功'
            });
            setTimeout(() => {
                wx.reLaunch({
                    url: '/pages/login/index',
                })
            }, 300)
        })
    },
    /* 去修改用户信息 */
    changeUserMsg() {
        let {
            name,
            phonenumber,
            attinfos
        } = this.data.userMsg;
        wx.navigateTo({
            url: `./userMsg/index?attinfos=${JSON.stringify(attinfos)}&name=${name}&phonenumber=${phonenumber}`
        })
    },
    listClick(e) {
        const {
            name
        } = e.currentTarget.dataset;
        console.log(name)
        if (name == '绑定微信') {
            wx.showModal({
                title: "提示",
                content: "是否使用当前微信绑定此账号？",
                success: res => {
                    console.log(res)
                    if (res.confirm) {
                        wx.login({
                            success(res) {
                                if (res.code) _Http.basic({
                                    "classname": "common.usercenter.usercenter",
                                    "method": "WechatBinding",
                                    "content": {
                                        "wechat_code": res.code
                                    }
                                }).then(res => {
                                    if (res.code == 0) return wx.showToast({
                                        title: res.msg,
                                        icon: "none"
                                    });
                                    wx.showToast({
                                        title: '绑定成功',
                                    })
                                })
                            }
                        })
                    }
                }
            })
        }
    }
})